Get Promotion Code
curl --request GET \
--url https://uat-api.clinkbill.com/api/promotion-code/{id} \
--header 'X-API-KEY: <api-key>' \
--header 'X-Timestamp: <x-timestamp>'HttpResponse<String> response = Unirest.get("https://uat-api.clinkbill.com/api/promotion-code/{id}")
.header("X-Timestamp", "<x-timestamp>")
.header("X-API-KEY", "<api-key>")
.asString();import requests
url = "https://uat-api.clinkbill.com/api/promotion-code/{id}"
headers = {
"X-Timestamp": "<x-timestamp>",
"X-API-KEY": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'X-Timestamp': '<x-timestamp>', 'X-API-KEY': '<api-key>'}
};
fetch('https://uat-api.clinkbill.com/api/promotion-code/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"code": 200,
"msg": "success",
"data": {
"couponId": "<string>",
"promotionCodeId": "<string>",
"code": "<string>",
"status": "active",
"firstOrderOnly": true,
"redemptionCount": 123,
"maxRedemptionLimit": 123,
"validPeriodEnd": 1754819711382,
"createTime": 1754819711382,
"mirroring": true,
"customers": [
{
"customerId": "<string>",
"name": "<string>",
"email": "<string>"
}
],
"perCustomerRedemptionLimit": 123,
"minimumSpend": {},
"currency": "<string>",
"amount": 123
}
}"<string>"Promotion Code
Get Promotion Code
Get detailed information about a specific promotion code.
GET
/
promotion-code
/
{id}
Get Promotion Code
curl --request GET \
--url https://uat-api.clinkbill.com/api/promotion-code/{id} \
--header 'X-API-KEY: <api-key>' \
--header 'X-Timestamp: <x-timestamp>'HttpResponse<String> response = Unirest.get("https://uat-api.clinkbill.com/api/promotion-code/{id}")
.header("X-Timestamp", "<x-timestamp>")
.header("X-API-KEY", "<api-key>")
.asString();import requests
url = "https://uat-api.clinkbill.com/api/promotion-code/{id}"
headers = {
"X-Timestamp": "<x-timestamp>",
"X-API-KEY": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'X-Timestamp': '<x-timestamp>', 'X-API-KEY': '<api-key>'}
};
fetch('https://uat-api.clinkbill.com/api/promotion-code/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"code": 200,
"msg": "success",
"data": {
"couponId": "<string>",
"promotionCodeId": "<string>",
"code": "<string>",
"status": "active",
"firstOrderOnly": true,
"redemptionCount": 123,
"maxRedemptionLimit": 123,
"validPeriodEnd": 1754819711382,
"createTime": 1754819711382,
"mirroring": true,
"customers": [
{
"customerId": "<string>",
"name": "<string>",
"email": "<string>"
}
],
"perCustomerRedemptionLimit": 123,
"minimumSpend": {},
"currency": "<string>",
"amount": 123
}
}"<string>"Authorizations
Your secret API key obtained from the Clink dashboard (Developers section)
Headers
Current timestamp in milliseconds since Unix epoch (required for request signing)
Example:
"1783513683000"
Path Parameters
Unique identifier of the promotion code